## octave-zeromq 1.5.2

=== DESCRIPTION ===
Name: zeromq
Version: 1.5.2
Date: 2020-10-13
Author: John Donoghue <john.donoghue@ieee.org>
Maintainer: John Donoghue <john.donoghue@ieee.org>
Title: ZeroMQ Toolbox
Description: ZeroMQ bindings for GNU Octave
Categories: Zeromq
Depends: octave (>= 4.0.0)
SystemRequirements: zmq
Autoload: no
License: GPLv3+
Url: http://octave.sourceforge.net

=== Makefile ===
## Copyright 2015-2016 Carnë Draug
## Copyright 2015-2016 Oliver Heimlich
## Copyright 2017 Julien Bect <jbect@users.sf.net>
## Copyright 2017 Olaf Till <i7tiol@t-online.de>
## Copyright 2018 John Donoghue <john.donoghue@ieee.org>
##
## Copying and distribution of this file, with or without modification,
## are permitted in any medium without royalty provided the copyright
## notice and this notice are preserved.  This file is offered as-is,
## without any warranty.

TOPDIR := $(shell pwd)

## Some basic tools (can be overriden using environment variables)
SED ?= sed
TAR ?= tar
GREP ?= grep
CUT ?= cut
TR ?= tr
TEXI2PDF  ?= texi2pdf -q

## Note the use of ':=' (immediate set) and not just '=' (lazy set).
## http://stackoverflow.com/a/448939/1609556
package := $(shell $(GREP) "^Name: " DESCRIPTION | $(CUT) -f2 -d" " | \
$(TR) '[:upper:]' '[:lower:]')
version := $(shell $(GREP) "^Version: " DESCRIPTION | $(CUT) -f2 -d" ")

## These are the paths that will be created for the releases.
target_dir       := target
release_dir      := $(target_dir)/$(package)-$(version)
release_tarball  := $(target_dir)/$(package)-$(version).tar.gz
html_dir         := $(target_dir)/$(package)-html
html_tarball     := $(target_dir)/$(package)-html.tar.gz
## Using $(realpath ...) avoids problems with symlinks due to bug
## #50994 in Octaves scripts/pkg/private/install.m.  But at least the
## release directory above is needed in the relative form, for 'git
## archive --format=tar --prefix=$(release_dir).
real_target_dir  := $(realpath .)/$(target_dir)
installation_dir := $(real_target_dir)/.installation
package_list     := $(installation_dir)/.octave_packages
install_stamp    := $(installation_dir)/.install_stamp

## These can be set by environment variables which allow to easily
## test with different Octave versions.
ifndef OCTAVE
OCTAVE := octave
endif
OCTAVE := $(OCTAVE) --no-gui --silent --norc
MKOCTFILE ?= mkoctfile

## Command used to set permissions before creating tarballs
FIX_PERMISSIONS ?= chmod -R a+rX,u+w,go-w,ug-s

HG           := hg
HG_CMD        = $(HG) --config alias.$(1)=$(1) --config defaults.$(1)= $(1)
HG_ID        := $(shell $(call HG_CMD,identify) --id | sed -e 's/+//' )
HG_TIMESTAMP := $(firstword $(shell $(call HG_CMD,log) --rev $(HG_ID) --template '{date|hgdate}'))


## Detect which VCS is used
vcs := $(if $(wildcard .hg),hg,$(if $(wildcard .git),git,unknown))
ifeq ($(vcs),hg)
release_dir_dep := .hg/dirstate
endif
ifeq ($(vcs),git)
release_dir_dep := .git/index
endif

TAR_REPRODUCIBLE_OPTIONS := --sort=name --mtime="@$(HG_TIMESTAMP)" --owner=0 --group=0 --numeric-owner
TAR_OPTIONS  := --format=ustar $(TAR_REPRODUCIBLE_OPTIONS)

## .PHONY indicates targets that are not filenames
## (https://www.gnu.org/software/make/manual/html_node/Phony-Targets.html)
.PHONY: help

## make will display the command before runnning them.  Use @command
## to not display it (makes specially sense for echo).
help:
	@echo "Targets:"
	@echo "   dist    - Create $(release_tarball) for release."
	@echo "   html    - Create $(html_tarball) for release."
	@echo "   release - Create both of the above and show md5sums."
	@echo "   install - Install the package in $(installation_dir), where it is not visible in a normal Octave session."
	@echo "   check   - Execute package tests."
	@echo "   doctest - Test the help texts with the doctest package."
	@echo "   run     - Run Octave with the package installed in $(installation_dir) in the path."
	@echo "   clean   - Remove everything made with this Makefile."


##
## Recipes for release tarballs (package + html)
##

.PHONY: release dist html clean-tarballs clean-unpacked-release

## To make a release, build the distribution and html tarballs.
release: dist html
	md5sum $(release_tarball) $(html_tarball)
	@echo "Upload @ https://sourceforge.net/p/octave/package-releases/new/"
	@echo "    and note the changeset the release corresponds to"

## dist and html targets are only PHONY/alias targets to the release
## and html tarballs.
dist: $(release_tarball)
html: $(html_tarball)

## An implicit rule with a recipe to build the tarballs correctly.
%.tar.gz: %
	$(TAR) -cf - $(TAR_OPTIONS) -C "$(target_dir)/" "$(notdir $<)" | gzip -9n > "$@"

clean-tarballs:
	@echo "## Cleaning release tarballs (package + html)..."
	-$(RM) $(release_tarball) $(html_tarball)
	@echo

## Create the unpacked package.
##
## Notes:
##    * having ".hg/dirstate" (or ".git/index") as a prerequesite means it is
##      only rebuilt if we are at a different commit.
##    * the variable RM usually defaults to "rm -f"
##    * having this recipe separate from the one that makes the tarball
##      makes it easy to have packages in alternative formats (such as zip)
##    * note that if a commands needs to be run in a specific directory,
##      the command to "cd" needs to be on the same line.  Each line restores
##      the original working directory.
$(release_dir): $(release_dir_dep)
	-$(RM) -r "$@"
ifeq (${vcs},hg)
	hg archive --exclude ".hg*" --type files "$@"
endif
ifeq (${vcs},git)
	git archive --format=tar --prefix="$@/" HEAD | $(TAR) -x
	$(RM) "$@/.gitignore"
endif
## Don't fall back to run the supposed necessary contents of
## 'bootstrap' here. Users are better off if they provide
## 'bootstrap'. Administrators, checking build reproducibility, can
## put in the missing 'bootstrap' file if they feel they know its
## necessary contents.
ifneq (,$(wildcard src/bootstrap))
	cd "$@/src" && ./bootstrap && $(RM) -r "autom4te.cache"
endif
## Uncomment this if your src/Makefile.in has these targets for
## pre-building something for the release (e.g. documentation).
#	cd "$@/src" && ./configure && $(MAKE) prebuild && \
#	  $(MAKE) clean && $(RM) Makefile
##
	$(MAKE) -C "$@" docs
	# remove dev stuff
	cd "$@" && $(RM) -rf "devel" && $(RM) -f doc/mkfuncdocs.py
	${FIX_PERMISSIONS} "$@"

run_in_place = $(OCTAVE) --eval ' pkg ("local_list", "$(package_list)"); ' \
                         --eval ' pkg ("load", "$(package)"); '

.PHONY: docs
docs: doc/$(package).pdf

.PHONY: clean-docs
clean-docs:
	$(RM) -f doc/$(package).info
	$(RM) -f doc/$(package).pdf
	$(RM) -f doc/functions.texi

doc/$(package).pdf: doc/$(package).texi doc/functions.texi
	cd doc && SOURCE_DATE_EPOCH=$(HG_TIMESTAMP) $(TEXI2PDF) $(package).texi
	# remove temp files
	cd doc && $(RM) -f $(package).aux $(package).cp $(package).cps $(package).fn  $(package).fns $(package).log $(package).toc

doc/functions.texi:
	cd doc && ./mkfuncdocs.py --src-dir=../inst/ --src-dir=../src/ --func-prefix=zmq_ --ignore=zeromq ../INDEX | $(SED) 's/@seealso/@xseealso/g' > functions.texi

# html_options = --eval 'options = get_html_options ("octave-forge");'
## Uncomment this for package documentation.
html_options = --eval 'options = get_html_options ("octave-forge");' \
               --eval 'options.package_doc = "$(package).texi";'
$(html_dir): $(install_stamp)
	$(RM) -r "$@";
	$(run_in_place)                    \
        --eval ' pkg load generate_html; ' \
	$(html_options)                    \
        --eval ' generate_package_html ("$(package)", "$@", options); ';
	$(FIX_PERMISSIONS) "$@";

clean-unpacked-release:
	@echo "## Cleaning unpacked release tarballs (package + html)..."
	-$(RM) -r $(release_dir) $(html_dir)
	@echo

##
## Recipes for installing the package.
##

.PHONY: install clean-install

octave_install_commands = \
' llist_path = pkg ("local_list"); \
  mkdir ("$(installation_dir)"); \
  load (llist_path); \
  local_packages(cellfun (@ (x) strcmp ("$(package)", x.name), local_packages)) = []; \
  save ("$(package_list)", "local_packages"); \
  pkg ("local_list", "$(package_list)"); \
  pkg ("prefix", "$(installation_dir)", "$(installation_dir)"); \
  pkg ("install", "-local", "-verbose", "$(release_tarball)"); '

## Install unconditionally. Maybe useful for testing installation with
## different versions of Octave.
install: $(release_tarball)
	@echo "Installing package under $(installation_dir) ..."
	$(OCTAVE) --eval $(octave_install_commands)
	touch $(install_stamp)

## Install only if installation (under target/...) is not current.
$(install_stamp): $(release_tarball)
	@echo "Installing package under $(installation_dir) ..."
	$(OCTAVE) --eval $(octave_install_commands)
	touch $(install_stamp)

clean-install:
	@echo "## Cleaning installation under $(installation_dir) ..."
	-$(RM) -r $(installation_dir)
	@echo


##
## Recipes for testing purposes
##

.PHONY: run doctest check

## Start an Octave session with the package directories on the path for
## interactice test of development sources.
run: $(install_stamp)
	$(run_in_place) --persist

## Test example blocks in the documentation.  Needs doctest package
##  https://octave.sourceforge.io/doctest/index.html
doctest: $(install_stamp)
	$(run_in_place) --eval 'pkg load doctest;'                                                          \
	  --eval "targets = '$(shell (ls inst; ls src | $(GREP) .oct) | $(CUT) -f2 -d@ | $(CUT) -f1 -d.)';" \
	  --eval "targets = strsplit (targets, ' ');  doctest (targets);"


## Test package.
octave_test_commands = \
' pkgs = pkg("list", "$(package)"); \
  dirs = {pkgs{1}.dir}; \
  __run_test_suite__ (dirs, {}); '
## the following works, too, but provides no overall summary output as
## __run_test_suite__ does:
##
##    else cellfun (@runtests, horzcat (cellfun (@ (dir) ostrsplit (([~, dirs] = system (sprintf ("find %s -type d", dir))), "\n\r", true), dirs, "UniformOutput", false){:})); endif '
check: $(install_stamp)
	$(run_in_place) --eval $(octave_test_commands)


##
## CLEAN
##

.PHONY: clean

clean: clean-tarballs clean-unpacked-release clean-install clean-docs
	test -e $(target_dir)/fntests.log && rm -f $(target_dir)/fntests.log || true
	@echo "## Removing target directory (if empty)..."
	test -e $(target_dir) && rmdir $(target_dir) || true
	@echo
	@echo "## Cleaning done"
	@echo

## octave-zeromq 1.2.1

=== debian/changelog ===
octave-zeromq (1.2.1-3) unstable; urgency=medium

  * Use dh-octave for building the package
  * d/control:
     + Use Debian's GitLab URLs in Vcs-* headers
     + Change Maintainer to team+pkg-octave-team@tracker.debian.org

 -- Rafael Laboissiere <rafael@debian.org>  Sat, 10 Feb 2018 07:40:32 -0200

octave-zeromq (1.2.1-2) unstable; urgency=medium

  * Use the dh-based version of octave-pkg-dev
  * Set debhelper compatibility level to >= 11
  * d/control:
    + Bump Standards-Version to 4.1.3 (no changes needed)
    + Add Testsuite field

 -- Rafael Laboissiere <rafael@debian.org>  Fri, 29 Dec 2017 22:15:12 -0200

octave-zeromq (1.2.1-1) unstable; urgency=low

  * Initial release (closes: #865865)

 -- Rafael Laboissiere <rafael@debian.org>  Tue, 25 Jul 2017 13:33:10 -0300

=== debian/control ===
Source: octave-zeromq
Section: math
Priority: optional
Maintainer: Debian Octave Group <team+pkg-octave-team@tracker.debian.org>
Uploaders: Rafael Laboissiere <rafael@debian.org>
Build-Depends: debhelper (>= 11), dh-octave,
 libzmq5-dev
Standards-Version: 4.1.3
Homepage: http://octave.sourceforge.net/zeromq/
Vcs-Git: https://salsa.debian.org/pkg-octave-team/octave-zeromq.git
Vcs-Browser: https://salsa.debian.org/pkg-octave-team/octave-zeromq
Testsuite: autopkgtest-pkg-octave

Package: octave-zeromq
Architecture: any
Depends: ${misc:Depends}, ${octave:Depends}, ${shlibs:Depends}
Description: ZeroMQ binding for Octave
 ZeroMQ is a library which extends the standard socket interfaces,
 providing an abstraction of asynchronous message queues, multiple
 messaging patterns, message filtering (subscriptions), seamless
 access to multiple transport protocols and more.  This package
 contains the binding to the ZeroMQ library for use in Octave, a
 scientific computation software.
 .
 This Octave add-on package is part of the Octave-Forge project.

## octave-zeromq 1.3.0

=== debian/changelog ===
octave-zeromq (1.3.0-4) unstable; urgency=medium

  * d/control:
    + Add Rules-Requires-Root: no
    + Bump Standards-Version to 4.3.0
    + Bump to debhelper compat level 12
  * Build-depend on debhelper-compat instead of using d/compat
  * d/p/spelling-error.patch: Extend with upstream fixes

 -- Rafael Laboissiere <rafael@debian.org>  Wed, 02 Jan 2019 22:58:25 -0200

octave-zeromq (1.3.0-3) unstable; urgency=medium

  * d/checkvars: Do not run the tests in inst/examples/*.m.
    This avoids the failure when running autopkgtest at the Debian CI
    infrastructure.  For this to work, the build-dependency on dh-octave
    is bumped to >= 0.5.0.

 -- Rafael Laboissiere <rafael@debian.org>  Sun, 06 May 2018 18:52:33 -0300

octave-zeromq (1.3.0-2) unstable; urgency=medium

  * Let dh-octave install the examples

 -- Rafael Laboissiere <rafael@debian.org>  Sun, 29 Apr 2018 17:06:52 -0300

octave-zeromq (1.3.0-1) unstable; urgency=medium

  [ Rafael Laboissiere ]
  * New upstream version 1.3.0
  * d/control: Bump Standards-Version to 4.1.4 (no changes needed)
  * d/p/receive-spelling-errors.patch: Drop patch (applied upstream)
  * d/copyright: Reflect upstream changes
  * d/p/spelling-error.patch: New patch
  * d/clean: New file
  * d/octave-zeromq.examples: New file

  [ Mike Miller ]
  * d/control, d/copyright: Use secure URL for upstream source.

 -- Rafael Laboissiere <rafael@debian.org>  Wed, 25 Apr 2018 01:41:20 -0300

=== debian/control ===
--- 
+++ 
@@ -3,13 +3,15 @@
 Priority: optional
 Maintainer: Debian Octave Group <team+pkg-octave-team@tracker.debian.org>
 Uploaders: Rafael Laboissiere <rafael@debian.org>
-Build-Depends: debhelper (>= 11), dh-octave,
- libzmq5-dev
-Standards-Version: 4.1.3
-Homepage: http://octave.sourceforge.net/zeromq/
+Build-Depends: debhelper-compat (= 12),
+               dh-octave (>= 0.5.0),
+               libzmq5-dev
+Standards-Version: 4.3.0
+Homepage: https://octave.sourceforge.io/zeromq/
 Vcs-Git: https://salsa.debian.org/pkg-octave-team/octave-zeromq.git
 Vcs-Browser: https://salsa.debian.org/pkg-octave-team/octave-zeromq
 Testsuite: autopkgtest-pkg-octave
+Rules-Requires-Root: no
 
 Package: octave-zeromq
 Architecture: any

## octave-zeromq 1.5.0

=== debian/changelog ===
octave-zeromq (1.5.0-2build1) focal; urgency=medium

  * No-change rebuild for libgcc-s1 package name change.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 22 Mar 2020 16:52:21 +0100

octave-zeromq (1.5.0-2) unstable; urgency=medium

  * d/control:
    + Bump Standards-Version to 4.4.1 (no changes needed)
    + Bump dependency on dh-octave to >= 0.7.1
      This allows the injection of the virtual package octave-abi-N
      into the package's list of dependencies.

 -- Rafael Laboissiere <rafael@debian.org>  Sat, 09 Nov 2019 05:58:31 -0300

octave-zeromq (1.5.0-1) unstable; urgency=medium

  * New upstream version 1.5.0
  * d/p/info-dir-section.patch: Drop patch (applied upstream)

 -- Rafael Laboissiere <rafael@debian.org>  Fri, 09 Aug 2019 11:21:17 -0300

octave-zeromq (1.4.0-2) unstable; urgency=medium

  * Upload to unstable
  * d/copyright: Add copyright and license information for the AppStream file
  * d/control: Bump Standards-Version to 4.4.0 (no changes needed)

 -- Rafael Laboissiere <rafael@debian.org>  Wed, 10 Jul 2019 05:24:33 -0300

octave-zeromq (1.4.0-1) experimental; urgency=medium

  * New upstream version 1.4.0
  * d/p/spelling-error.patch: Drop patch (applied upstream)
  * d/copyright: Reflect upstream changes
  * Add info and PDF forms of documentation
    + d/rules: Build the documentation
    + d/control: Add build-dependency on texlive
    + d/clean: Clean automatically generated files in directory doc/
    + d/octave-zeromq.doc-base: Add documentation description
    + d/octave-zeromq.docs: Add PDF documentation file
    + d/octave-zeromq.info: Add info documentation file
    + d/p/info-dir-section.patch: Add section information

 -- Rafael Laboissiere <rafael@debian.org>  Sat, 30 Mar 2019 19:05:02 -0300

=== debian/control ===
--- 
+++ 
@@ -4,9 +4,10 @@
 Maintainer: Debian Octave Group <team+pkg-octave-team@tracker.debian.org>
 Uploaders: Rafael Laboissiere <rafael@debian.org>
 Build-Depends: debhelper-compat (= 12),
-               dh-octave (>= 0.5.0),
-               libzmq5-dev
-Standards-Version: 4.3.0
+               dh-octave (>= 0.7.1),
+               libzmq5-dev,
+               texlive
+Standards-Version: 4.4.1
 Homepage: https://octave.sourceforge.io/zeromq/
 Vcs-Git: https://salsa.debian.org/pkg-octave-team/octave-zeromq.git
 Vcs-Browser: https://salsa.debian.org/pkg-octave-team/octave-zeromq

## octave-zeromq 1.5.1

=== debian/changelog ===
octave-zeromq (1.5.1-2) unstable; urgency=medium

  * d/u/metadata: Drop Name and Contact fields

 -- Rafael Laboissière <rafael@debian.org>  Fri, 31 Jul 2020 03:27:44 -0300

octave-zeromq (1.5.1-1) unstable; urgency=medium

  * New upstream version 1.5.1
  * d/copyright: Reflect upstream changes
  * d/control: Bump Standards-Version to 4.5.0 (no changes needed)
  * d/u/metadata: New file
  * d/control: Bump debhelper compatibitlity level to 13

 -- Rafael Laboissière <rafael@debian.org>  Mon, 04 May 2020 03:52:51 -0300

## octave-zeromq 1.5.2

=== debian/changelog ===
octave-zeromq (1.5.2-1) unstable; urgency=medium

  * New upstream version 1.5.2

 -- Rafael Laboissière <rafael@debian.org>  Sat, 17 Oct 2020 04:12:32 -0300

=== debian/control ===
--- 
+++ 
@@ -2,12 +2,12 @@
 Section: math
 Priority: optional
 Maintainer: Debian Octave Group <team+pkg-octave-team@tracker.debian.org>
-Uploaders: Rafael Laboissiere <rafael@debian.org>
-Build-Depends: debhelper-compat (= 12),
+Uploaders: Rafael Laboissière <rafael@debian.org>
+Build-Depends: debhelper-compat (= 13),
                dh-octave (>= 0.7.1),
                libzmq5-dev,
                texlive
-Standards-Version: 4.4.1
+Standards-Version: 4.5.0
 Homepage: https://octave.sourceforge.io/zeromq/
 Vcs-Git: https://salsa.debian.org/pkg-octave-team/octave-zeromq.git
 Vcs-Browser: https://salsa.debian.org/pkg-octave-team/octave-zeromq

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

%:
	dh $@ --buildsystem=octave --with=octave

ifeq (,$(filter nodoc,$(DEB_BUILD_OPTIONS)))
override_dh_auto_build:
	( cd doc ;			\
	  texi2pdf -q zeromq.texi ; 	\
	  makeinfo zeromq.texi )
endif

=== debian/watch ===
version=3
http://sf.net/octave/zeromq-(.+)\.tar\.gz

## octave-zeromq 1.5.3

=== DESCRIPTION ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Name: zeromq
-Version: 1.5.2
-Date: 2020-10-13
+Version: 1.5.3
+Date: 2021-07-15
 Author: John Donoghue <john.donoghue@ieee.org>
 Maintainer: John Donoghue <john.donoghue@ieee.org>
 Title: ZeroMQ Toolbox

=== Makefile ===
--- 
+++ 
@@ -238,8 +238,8 @@
 ##  https://octave.sourceforge.io/doctest/index.html
 doctest: $(install_stamp)
 	$(run_in_place) --eval 'pkg load doctest;'                                                          \
-	  --eval "targets = '$(shell (ls inst; ls src | $(GREP) .oct) | $(CUT) -f2 -d@ | $(CUT) -f1 -d.)';" \
-	  --eval "targets = strsplit (targets, ' ');  doctest (targets);"
+	  --eval "targets = pkg('list', 'zeromq'){1}.dir;" \
+	  --eval "doctest (targets);"
 
 
 ## Test package.

=== debian/changelog ===
octave-zeromq (1.5.3-3build1) jammy; urgency=medium

  * No-change rebuild against octave 6.4.0

 -- Graham Inggs <ginggs@ubuntu.com>  Wed, 19 Jan 2022 09:38:38 +0000

octave-zeromq (1.5.3-3) unstable; urgency=medium

  * Upload to unstable

 -- Rafael Laboissière <rafael@debian.org>  Mon, 16 Aug 2021 13:00:15 -0300

octave-zeromq (1.5.3-2) experimental; urgency=medium

  * d/control: Build-depend on pkg-config.
    Thanks to Adrian Bunk for the bug report (Closes: #991330)

 -- Rafael Laboissière <rafael@debian.org>  Thu, 22 Jul 2021 03:53:48 -0300

octave-zeromq (1.5.3-1) experimental; urgency=medium

  * New upstream version 1.5.3
  * d/copyright: Reflect upstream changes
  * d/control: Bump Standards-Version to 4.5.1 (no changes needed)
  * d/clean: Remove leftover *.cc-tst files
  * d/watch: Update to version 4

 -- Rafael Laboissière <rafael@debian.org>  Tue, 20 Jul 2021 05:39:30 -0300

=== debian/control ===
--- 
+++ 
@@ -6,8 +6,9 @@
 Build-Depends: debhelper-compat (= 13),
                dh-octave (>= 0.7.1),
                libzmq5-dev,
+               pkg-config,
                texlive
-Standards-Version: 4.5.0
+Standards-Version: 4.5.1
 Homepage: https://octave.sourceforge.io/zeromq/
 Vcs-Git: https://salsa.debian.org/pkg-octave-team/octave-zeromq.git
 Vcs-Browser: https://salsa.debian.org/pkg-octave-team/octave-zeromq

=== debian/watch ===
version=4
http://sf.net/octave/zeromq-(.+)\.tar\.gz

## octave-zeromq 1.5.4

=== debian/changelog ===
octave-zeromq (1.5.4-2) unstable; urgency=medium

  * d/control: Bump Standards-Version to 4.6.1 (no changes needed)
  * Build-depend on dh-sequence-octave
    + d/control: Ditto
    + d/rules: Drop the --with=octave option from dh call
  * No need for cleaning *-tst files
    + d/clean: Drop line with src/*.cc-tst
    + d/control: Build-depend on dh-octave >= 1.2.2. In this version
      dh_octave_clean removes the src/*-tst files.
  * Proper cleaning of files generated by the configure script
    + d/p/fix-distclean-rule.patch: New patch
    + d/control: Build-depend on dh-octave >= 1.2.3
    + d/clean, d/s/options: Adjust for the new situation

 -- Rafael Laboissière <rafael@debian.org>  Thu, 14 Jul 2022 10:56:39 -0300

octave-zeromq (1.5.4-1) unstable; urgency=medium

  * New upstream version 1.5.4
  * d/copyright:
    + Accentuate my family name
    + Reflect upstream changes
  * d/control: Bump Standards-Version to 4.6.0 (no changes needed)

 -- Rafael Laboissière <rafael@debian.org>  Sun, 08 May 2022 17:03:38 -0300

## octave-zeromq 1.5.5

=== DESCRIPTION ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Name: zeromq
-Version: 1.5.3
-Date: 2021-07-15
+Version: 1.5.5
+Date: 2022-10-17
 Author: John Donoghue <john.donoghue@ieee.org>
 Maintainer: John Donoghue <john.donoghue@ieee.org>
 Title: ZeroMQ Toolbox

=== Makefile ===
--- 
+++ 
@@ -18,6 +18,23 @@
 CUT ?= cut
 TR ?= tr
 TEXI2PDF  ?= texi2pdf -q
+MAKEINFO ?= makeinfo
+
+# work out a possible help generator
+ifeq ($(strip $(QHELPGENERATOR)),)
+  ifneq ($(shell qhelpgenerator-qt5 -v 2>/dev/null),)
+    QHELPGENERATOR = qhelpgenerator-qt5
+  else ifneq ($(shell qcollectiongenerator-qt5 -v 2>/dev/null),)
+    QHELPGENERATOR = qcollectiongenerator-qt5
+  #else ifneq ($(shell qhelpgenerator -qt5 -v 2>/dev/null),)
+  # v4 doesnt work
+  #  QHELPGENERATOR = qhelpgenerator -qt5
+  else ifneq ($(shell qcollectiongenerator -qt5 -v 2>/dev/null),)
+    QHELPGENERATOR = qcollectiongenerator -qt5
+  else
+    QHELPGENERATOR = true
+  endif
+endif
 
 ## Note the use of ':=' (immediate set) and not just '=' (lazy set).
 ## http://stackoverflow.com/a/448939/1609556
@@ -155,12 +172,15 @@
                          --eval ' pkg ("load", "$(package)"); '
 
 .PHONY: docs
-docs: doc/$(package).pdf
+docs: doc/$(package).pdf doc/$(package).qhc doc/$(package).html
 
 .PHONY: clean-docs
 clean-docs:
 	$(RM) -f doc/$(package).info
 	$(RM) -f doc/$(package).pdf
+	$(RM) -f doc/$(package).html
+	$(RM) -f doc/$(package).qhc
+	$(RM) -f doc/$(package).qch
 	$(RM) -f doc/functions.texi
 
 doc/$(package).pdf: doc/$(package).texi doc/functions.texi
@@ -168,13 +188,25 @@
 	# remove temp files
 	cd doc && $(RM) -f $(package).aux $(package).cp $(package).cps $(package).fn  $(package).fns $(package).log $(package).toc
 
+doc/$(package).html: doc/$(package).texi doc/functions.texi
+	cd doc && SOURCE_DATE_EPOCH=$(HG_TIMESTAMP) $(MAKEINFO) --html --css-ref=$(package).css  --no-split $(package).texi
+
+doc/$(package).qhc: doc/$(package).html
+	# try also create qch file if can
+	cd doc && ./mkqhcp.py $(package) && $(QHELPGENERATOR) $(package).qhcp -o $(package).qhc
+	cd doc && $(RM) -f $(package).qhcp $(package).qhp
+
+doc/$(package).info: doc/$(package).texi doc/functions.texi
+	cd doc && $(MAKEINFO) $(package).texi
+
 doc/functions.texi:
 	cd doc && ./mkfuncdocs.py --src-dir=../inst/ --src-dir=../src/ --func-prefix=zmq_ --ignore=zeromq ../INDEX | $(SED) 's/@seealso/@xseealso/g' > functions.texi
 
 # html_options = --eval 'options = get_html_options ("octave-forge");'
 ## Uncomment this for package documentation.
 html_options = --eval 'options = get_html_options ("octave-forge");' \
-               --eval 'options.package_doc = "$(package).texi";'
+               --eval 'options.package_doc = "$(package).texi";' \
+	       --eval 'options.package_doc_options = [options.package_doc_options " --css-include=$(package).css"];'
 $(html_dir): $(install_stamp)
 	$(RM) -r "$@";
 	$(run_in_place)                    \

=== debian/changelog ===
octave-zeromq (1.5.5-1) unstable; urgency=medium

  * New upstream version 1.5.5
  * d/p/fix-distclean-rule.patch: Drop patch (applied upstream)
  * d/p/fix-spelling-incoming.patch: New patch
  * d/watch: Adjust for new URL at gnu-octave.github.io
  * d/s/lintian-override: Override Lintian warning
    debian-watch-lacks-sourceforge-redirector

 -- Rafael Laboissière <rafael@debian.org>  Wed, 19 Oct 2022 01:48:00 -0300

=== debian/control ===
--- 
+++ 
@@ -4,11 +4,12 @@
 Maintainer: Debian Octave Group <team+pkg-octave-team@tracker.debian.org>
 Uploaders: Rafael Laboissière <rafael@debian.org>
 Build-Depends: debhelper-compat (= 13),
-               dh-octave (>= 0.7.1),
+               dh-octave (>= 1.2.3),
+               dh-sequence-octave,
                libzmq5-dev,
                pkg-config,
                texlive
-Standards-Version: 4.5.1
+Standards-Version: 4.6.1
 Homepage: https://octave.sourceforge.io/zeromq/
 Vcs-Git: https://salsa.debian.org/pkg-octave-team/octave-zeromq.git
 Vcs-Browser: https://salsa.debian.org/pkg-octave-team/octave-zeromq

=== debian/rules ===
--- 
+++ 
@@ -2,7 +2,7 @@
 # -*- makefile -*-
 
 %:
-	dh $@ --buildsystem=octave --with=octave
+	dh $@ --buildsystem=octave
 
 ifeq (,$(filter nodoc,$(DEB_BUILD_OPTIONS)))
 override_dh_auto_build:

=== debian/watch ===
version=4
https://gnu-octave.github.io/packages/zeromq/ \
  https://downloads.sourceforge.net/project/octave/Octave%20Forge%20Packages/Individual%20Package%20Releases/zeromq-(.+).tar.gz

## octave-zeromq 1.5.6

=== Makefile ===
--- 
+++ 
@@ -2,7 +2,7 @@
 ## Copyright 2015-2016 Oliver Heimlich
 ## Copyright 2017 Julien Bect <jbect@users.sf.net>
 ## Copyright 2017 Olaf Till <i7tiol@t-online.de>
-## Copyright 2018 John Donoghue <john.donoghue@ieee.org>
+## Copyright 2018-2023 John Donoghue <john.donoghue@ieee.org>
 ##
 ## Copying and distribution of this file, with or without modification,
 ## are permitted in any medium without royalty provided the copyright
@@ -10,6 +10,7 @@
 ## without any warranty.
 
 TOPDIR := $(shell pwd)
+PACKAGE_REPO_DIR ?= $(TOPDIR)
 
 ## Some basic tools (can be overriden using environment variables)
 SED ?= sed
@@ -41,6 +42,7 @@
 package := $(shell $(GREP) "^Name: " DESCRIPTION | $(CUT) -f2 -d" " | \
 $(TR) '[:upper:]' '[:lower:]')
 version := $(shell $(GREP) "^Version: " DESCRIPTION | $(CUT) -f2 -d" ")
+pkg_date := $(shell $(GREP) "^Date: " DESCRIPTION | $(CUT) -f2 -d" ")
 
 ## These are the paths that will be created for the releases.
 target_dir       := target
@@ -52,7 +54,7 @@
 ## #50994 in Octaves scripts/pkg/private/install.m.  But at least the
 ## release directory above is needed in the relative form, for 'git
 ## archive --format=tar --prefix=$(release_dir).
-real_target_dir  := $(realpath .)/$(target_dir)
+real_target_dir  := $(realpath $(PACKAGE_REPO_DIR))/$(target_dir)
 installation_dir := $(real_target_dir)/.installation
 package_list     := $(installation_dir)/.octave_packages
 install_stamp    := $(installation_dir)/.install_stamp
@@ -68,22 +70,22 @@
 ## Command used to set permissions before creating tarballs
 FIX_PERMISSIONS ?= chmod -R a+rX,u+w,go-w,ug-s
 
+## Detect which VCS is used
+vcs := $(if $(wildcard $(PACKAGE_REPO_DIR)/.hg),hg,$(if $(wildcard $(PACKAGE_REPO_DIR)/.git),git,unknown))
+ifeq ($(vcs),hg)
+release_dir_dep := $(PACKAGE_REPO_DIR)/.hg/dirstate
 HG           := hg
 HG_CMD        = $(HG) --config alias.$(1)=$(1) --config defaults.$(1)= $(1)
 HG_ID        := $(shell $(call HG_CMD,identify) --id | sed -e 's/+//' )
-HG_TIMESTAMP := $(firstword $(shell $(call HG_CMD,log) --rev $(HG_ID) --template '{date|hgdate}'))
-
-
-## Detect which VCS is used
-vcs := $(if $(wildcard .hg),hg,$(if $(wildcard .git),git,unknown))
-ifeq ($(vcs),hg)
-release_dir_dep := .hg/dirstate
+REPO_TIMESTAMP := $(firstword $(shell $(call HG_CMD,log) --rev $(HG_ID) --template '{date|hgdate}'))
 endif
 ifeq ($(vcs),git)
-release_dir_dep := .git/index
-endif
-
-TAR_REPRODUCIBLE_OPTIONS := --sort=name --mtime="@$(HG_TIMESTAMP)" --owner=0 --group=0 --numeric-owner
+release_dir_dep := $(PACKAGE_REPO_DIR)/.git/index
+GIT          := git
+REPO_TIMESTAMP := $(firstword $(shell $(GIT) log -n1 --date=unix --format="%ad"))
+endif
+
+TAR_REPRODUCIBLE_OPTIONS := --sort=name --mtime="@$(REPO_TIMESTAMP)" --owner=0 --group=0 --numeric-owner
 TAR_OPTIONS  := --format=ustar $(TAR_REPRODUCIBLE_OPTIONS)
 
 ## .PHONY indicates targets that are not filenames
@@ -144,10 +146,10 @@
 $(release_dir): $(release_dir_dep)
 	-$(RM) -r "$@"
 ifeq (${vcs},hg)
-	hg archive --exclude ".hg*" --type files "$@"
+	$(HG) archive --exclude ".hg*" --type files "$@"
 endif
 ifeq (${vcs},git)
-	git archive --format=tar --prefix="$@/" HEAD | $(TAR) -x
+	$(GIT) archive --format=tar --prefix="$@/" HEAD | $(TAR) -x
 	$(RM) "$@/.gitignore"
 endif
 ## Don't fall back to run the supposed necessary contents of
@@ -158,15 +160,20 @@
 ifneq (,$(wildcard src/bootstrap))
 	cd "$@/src" && ./bootstrap && $(RM) -r "autom4te.cache"
 endif
-## Uncomment this if your src/Makefile.in has these targets for
-## pre-building something for the release (e.g. documentation).
-#	cd "$@/src" && ./configure && $(MAKE) prebuild && \
-#	  $(MAKE) clean && $(RM) Makefile
-##
-	$(MAKE) -C "$@" docs
+ifneq (,$(wildcard src/configure))
+	cd "$@/src" && ./configure && $(MAKE) prebuild && \
+	  $(MAKE) PACKAGE_REPO_DIR=$(PACKAGE_REPO_DIR) distclean && $(RM) Makefile
+endif
+ifneq (,$(wildcard doc/mkfuncdocs.py))
+	$(MAKE) PACKAGE_REPO_DIR=$(PACKAGE_REPO_DIR) -C "$@" docs
+	cd "$@" && $(RM) -f doc/mkfuncdocs.py doc/mkqhcp.py
+endif
 	# remove dev stuff
-	cd "$@" && $(RM) -rf "devel" && $(RM) -f doc/mkfuncdocs.py
+	cd "$@" && $(RM) -rf "devel"
 	${FIX_PERMISSIONS} "$@"
+
+	# ensure target dir date is now updated
+	touch "$@"
 
 run_in_place = $(OCTAVE) --eval ' pkg ("local_list", "$(package_list)"); ' \
                          --eval ' pkg ("load", "$(package)"); '
@@ -182,24 +189,32 @@
 	$(RM) -f doc/$(package).qhc
 	$(RM) -f doc/$(package).qch
 	$(RM) -f doc/functions.texi
-
-doc/$(package).pdf: doc/$(package).texi doc/functions.texi
-	cd doc && SOURCE_DATE_EPOCH=$(HG_TIMESTAMP) $(TEXI2PDF) $(package).texi
+	$(RM) -f doc/version.texi
+
+doc/version.texi: $(release_dir_dep)
+	@echo Generating $@
+	@echo "@c autogenerated from Makefile" > $@
+	@echo "@set VERSION $(version)" >> $@
+	@echo "@set PACKAGE $(package)" >> $@
+	@echo "@set DATE $(pkg_date)" >> $@
+
+doc/$(package).pdf: doc/$(package).texi doc/functions.texi doc/version.texi
+	cd doc && SOURCE_DATE_EPOCH=$(REPO_TIMESTAMP) $(TEXI2PDF) $(package).texi
 	# remove temp files
 	cd doc && $(RM) -f $(package).aux $(package).cp $(package).cps $(package).fn  $(package).fns $(package).log $(package).toc
 
-doc/$(package).html: doc/$(package).texi doc/functions.texi
-	cd doc && SOURCE_DATE_EPOCH=$(HG_TIMESTAMP) $(MAKEINFO) --html --css-ref=$(package).css  --no-split $(package).texi
+doc/$(package).html: doc/$(package).texi doc/functions.texi doc/version.texi
+	cd doc && SOURCE_DATE_EPOCH=$(REPO_TIMESTAMP) $(MAKEINFO) --html --css-ref=$(package).css  --no-split $(package).texi
 
 doc/$(package).qhc: doc/$(package).html
 	# try also create qch file if can
 	cd doc && ./mkqhcp.py $(package) && $(QHELPGENERATOR) $(package).qhcp -o $(package).qhc
 	cd doc && $(RM) -f $(package).qhcp $(package).qhp
 
-doc/$(package).info: doc/$(package).texi doc/functions.texi
+doc/$(package).info: doc/$(package).texi doc/functions.texi doc/version.texi
 	cd doc && $(MAKEINFO) $(package).texi
 
-doc/functions.texi:
+doc/functions.texi: $(release_dir_dep)
 	cd doc && ./mkfuncdocs.py --src-dir=../inst/ --src-dir=../src/ --func-prefix=zmq_ --ignore=zeromq ../INDEX | $(SED) 's/@seealso/@xseealso/g' > functions.texi
 
 # html_options = --eval 'options = get_html_options ("octave-forge");'

=== debian/changelog ===
octave-zeromq (1.5.6-5) unstable; urgency=medium

  * d/control:
    + Build-depend on pkgconf instead of the deprecated pkg-config package
    + Resctrict build-dependencies needed for building the documentation
      to the "!nodoc" profile
    + Bump Standards-Version to 4.7.2 (no changes needed)
    + Drop “Rules-Requires-Root: no”, which is now the default
    + Tighten Build-Depends to texlive-base instead of the broad
      dependency on texlive
  * d/watch: Convert to format version 5
  * d/s/lintian-overrides: Drop file contianing unused override for
    very-long-line-length-in-source-file

 -- Rafael Laboissière <rafael@debian.org>  Wed, 15 Oct 2025 12:09:12 -0300

octave-zeromq (1.5.6-4) unstable; urgency=medium

  * d/octave-zeromq.docs: Install file zeromq.css

 -- Rafael Laboissière <rafael@debian.org>  Sun, 28 Jan 2024 16:23:21 -0300

octave-zeromq (1.5.6-3) unstable; urgency=medium

  * d/u/metadata:
    + Update Bug-Database and Bug-Submit URLs
    + Add Repository and update Repository-Browse URLs
    + Add Documentation URL
  * Build and install Qt help files
    + d/control: Depend on dh-octave >= 1.8.0 (this version keeps the
      files doc/*.qhc and doc/*.qch in the package)
    + d/p/add-mkqhcp-py.patch: New patch
    + d/rules:
      - Use executable_after_dh_auto_build target
      - Ensure that doc/mkqhcp.py is executable
    + d/rules: ensure that doc/mkqhcp.py is executable
  * d/p/add-mkfuncdocs-py.patch: Fix headers
  * d/s/lintian-overrides: Override Lintian warning
    very-long-line-length-in-source-file

 -- Rafael Laboissière <rafael@debian.org>  Fri, 26 Jan 2024 12:23:27 -0300

octave-zeromq (1.5.6-2) unstable; urgency=medium

  * Build documentation from source (Closes: #1061011)
    + d/p/add-mkfuncdocs-py.patch: New patch
    + d/rules:
      - Change mode of doc/mkfuncdocs.py
      - Invoke make to build the Info, HTML and PDF forms of the
        documentation
    + d/clean: Drop file
    + d/control: Build-depend on python3
    + d/octave-zeromq.doc-base: Add stanzas for HTML and Info formats
    + d/octave-zeromq.docs: Add HTML files

 -- Rafael Laboissière <rafael@debian.org>  Wed, 17 Jan 2024 18:21:01 -0300

octave-zeromq (1.5.6-1) unstable; urgency=medium

  * New upstream version 1.5.6
  * d/p/fix-spelling-incoming.patch: Drop patch (apllied upstream)
  * d/copyright: Reflect upstream changes
  * d/control:
    + Bump Standards-Version to 4.6.2 (no changes needed)
    + Update Homepage URL
  * d/copyright: Update Source URL
  * Update location of upstream tarball at GitHub
    + d/watch: Update URL
    + d/s/lintian-overrides: Drop obsolete override

 -- Rafael Laboissière <rafael@debian.org>  Sat, 12 Aug 2023 09:04:21 -0300

=== debian/control ===
--- 
+++ 
@@ -4,17 +4,17 @@
 Maintainer: Debian Octave Group <team+pkg-octave-team@tracker.debian.org>
 Uploaders: Rafael Laboissière <rafael@debian.org>
 Build-Depends: debhelper-compat (= 13),
-               dh-octave (>= 1.2.3),
+               dh-octave (>= 1.8.0),
                dh-sequence-octave,
                libzmq5-dev,
-               pkg-config,
-               texlive
-Standards-Version: 4.6.1
-Homepage: https://octave.sourceforge.io/zeromq/
+               pkgconf,
+               python3 <!nodoc>,
+               texlive-base <!nodoc>
+Standards-Version: 4.7.2
+Homepage: https://gnu-octave.github.io/packages/zeromq/
 Vcs-Git: https://salsa.debian.org/pkg-octave-team/octave-zeromq.git
 Vcs-Browser: https://salsa.debian.org/pkg-octave-team/octave-zeromq
 Testsuite: autopkgtest-pkg-octave
-Rules-Requires-Root: no
 
 Package: octave-zeromq
 Architecture: any

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

%:
	dh $@ --buildsystem=octave

ifeq (,$(filter nodoc,$(DEB_BUILD_OPTIONS)))
execute_before_dh_auto_build:
	chmod +x doc/mkfuncdocs.py doc/mkqhcp.py
	make -k docs doc/zeromq.info
endif

=== debian/watch ===
Version: 5

Template: Github
Owner: gnu-octave
Project: octave-zeromq

## octave-zeromq 1.5.7

=== DESCRIPTION ===
Name: zeromq
Version: 1.5.7
Date: 2026-01-07
Author: John Donoghue <john.donoghue@ieee.org>
Maintainer: John Donoghue <john.donoghue@ieee.org>
Title: ZeroMQ Toolbox
Description: ZeroMQ bindings for GNU Octave
Categories: Zeromq
Depends: octave (>= 4.0.0)
SystemRequirements: zmq
Autoload: no
License: GPLv3+
Url: https://gnu-octave.github.io/octave-zeromq/
Repository: https://github.com/gnu-octave/octave-zeromq/
Tracker: https://github.com/gnu-octave/octave-zeromq/issues

=== Makefile ===
--- 
+++ 
@@ -20,6 +20,7 @@
 TR ?= tr
 TEXI2PDF  ?= texi2pdf -q
 MAKEINFO ?= makeinfo
+MAKEINFO_HTML_OPTIONS := --no-headers --set-customization-variable 'COPIABLE_LINKS 0' --set-customization-variable 'COPIABLE_ANCHORS 0' --no-split 
 
 # work out a possible help generator
 ifeq ($(strip $(QHELPGENERATOR)),)
@@ -204,7 +205,7 @@
 	cd doc && $(RM) -f $(package).aux $(package).cp $(package).cps $(package).fn  $(package).fns $(package).log $(package).toc
 
 doc/$(package).html: doc/$(package).texi doc/functions.texi doc/version.texi
-	cd doc && SOURCE_DATE_EPOCH=$(REPO_TIMESTAMP) $(MAKEINFO) --html --css-ref=$(package).css  --no-split $(package).texi
+	cd doc && SOURCE_DATE_EPOCH=$(REPO_TIMESTAMP) $(MAKEINFO) --html --css-ref=$(package).css $(MAKEINFO_HTML_OPTIONS) $(package).texi
 
 doc/$(package).qhc: doc/$(package).html
 	# try also create qch file if can
@@ -313,5 +314,3 @@
 	@echo "## Removing target directory (if empty)..."
 	test -e $(target_dir) && rmdir $(target_dir) || true
 	@echo
-	@echo "## Cleaning done"
-	@echo

=== debian/changelog ===
octave-zeromq (1.5.7-1) unstable; urgency=medium

  * New upstream version 1.5.7
  * d/salsa-ci.yml: New file
  * d/p/add-mkfuncdocs-py.patch: Drop patch (applied upstream)
  * d/p/add-mkqhcp-py.patch: Drop patch (applied upstream)
  * d/rules: Run src/boostrap before compiling the sources
  * d/clean: New file
  * d/control:
    + Drop the redundant Priority field, which defaults to optional now
    + Bump Standards-Version to 4.7.3 (no changes needed)
  * d/copyright: Update list of Copyright years

 -- Rafael Laboissière <rafael@debian.org>  Fri, 16 Jan 2026 12:40:42 +0000

=== debian/control ===
--- 
+++ 
@@ -1,6 +1,5 @@
 Source: octave-zeromq
 Section: math
-Priority: optional
 Maintainer: Debian Octave Group <team+pkg-octave-team@tracker.debian.org>
 Uploaders: Rafael Laboissière <rafael@debian.org>
 Build-Depends: debhelper-compat (= 13),
@@ -10,7 +9,7 @@
                pkgconf,
                python3 <!nodoc>,
                texlive-base <!nodoc>
-Standards-Version: 4.7.2
+Standards-Version: 4.7.3
 Homepage: https://gnu-octave.github.io/packages/zeromq/
 Vcs-Git: https://salsa.debian.org/pkg-octave-team/octave-zeromq.git
 Vcs-Browser: https://salsa.debian.org/pkg-octave-team/octave-zeromq

=== debian/rules ===
--- 
+++ 
@@ -4,6 +4,9 @@
 %:
 	dh $@ --buildsystem=octave
 
+execute_before_dh_auto_install:
+	(cd src ; ./bootstrap )
+
 ifeq (,$(filter nodoc,$(DEB_BUILD_OPTIONS)))
 execute_before_dh_auto_build:
 	chmod +x doc/mkfuncdocs.py doc/mkqhcp.py
